import { Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {ApiService} from './api.service';
import {Observable} from 'rxjs';
import {Note} from '@nspop/gm-web-facade-api';
import {catchError} from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class NoteService extends ApiService  {
  constructor(httpClient: HttpClient) {
    super('/note', httpClient);
  }
  public createNoteForActivity(activityId: string, resource: Note): Observable<any> {
    return this.httpClient.post(this.url + '/' + activityId, resource).pipe(
      catchError(this.handleCreateError)
    );
  }
}
